### Virtual Method

# RB RhythmDBEntryType update_availability

#### Declaration [src]

    void
    update_availability (
      RhythmDBEntryType* etype,
      RhythmDBEntry* entry,
      RhythmDBEntryAvailability avail
    )

#### Description

No description available.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  No description available.

  The data is owned by the caller of the method.

`avail`

  Type: `RhythmDBEntryAvailability`

  No description available.